# skindetect

Human skin detection on videos and images

## Example launch line

     gst-launch-1.0 videotestsrc ! decodebin ! videoconvert ! skindetect ! videoconvert ! xvimagesink

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseTransform
                        ╰──GstVideoFilter
                            ╰──GstOpencvVideoFilter
                                ╰──skindetect

## Factory details

Authors: – Miguel Casas-Sanchez <miguelecasassanchez@gmail.com></miguelecasassanchez@gmail.com>

Classification: – `Filter/Effect/Video`

Rank – none

Plugin – opencv

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    video/x-raw:
             format: RGB
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]

Presence – always

Direction – sink

Object type – GstPad

### `src`

    video/x-raw:
             format: RGB
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]

Presence – always

Direction – src

Object type – GstPad

## Properties

### method

    “method” Skindetect-method *

Method to use

Flags : Read / Write

Default value : hsv (0)

### postprocess

    “postprocess” gboolean

Apply opening-closing to skin detection to extract large, significant blobs

Flags : Read / Write

Default value : true

## Named constants

### Skindetect-method

#### Members

`hsv` (0) – Classic HSV thresholding
`rgb` (1) – Normalised-RGB colorspace thresholding

The results of the search are